Gentoo Archives: gentoo-alt

From: Markus Duft <mduft@g.o>
To: gentoo-alt@l.g.o
Subject: RE: [gentoo-alt] gimps gettext dependency
Date: Mon, 26 May 2008 11:09:07
Message-Id: 024b01c8bf20$135d4f00$3a17ed00$@org
In Reply to: Re: [gentoo-alt] gimps gettext dependency by Fabian Groffen
> > On 26-05-2008 11:34:20 +0200, Markus Duft wrote: > > Hi! > > > > Gimp 2.4.5 has a dependency to gettext-0.17, which prevents it from building, since 0.17 is still > masked globally. I tried > > downgrading the dependency to 0.16, which worked perfectly. Now the question is: should we do > something here, or just wait? If yes, > > create an upstream bug for the ebuild, or should we correct it locally in the prefix tree, since > it's a prefix related issue > > (gettext 0.17 is masked only here...)? > > Find the person who maintains it on IRC or something, and ask why the > 0.17 dep is there, and if 0.16 is ok too. Otherwise, fix the bug that > keeps 0.17 masked in Prefix.
116 # Fabian Groffen <grobian@g.o> (11 Nov 2007) 117 # Has linkage problems: 118 # gnulib-lib/.libs/ undefined reference to `acl_trivial' 119 =sys-devel/gettext-0.17 I can't reproduce this, since I can't use ACL's anyway... I assume the acl USE flag was set when you tried? Maybe we should just mask the acl flag? On what systems did you try? I have access to my interix machines only ATM... Cheers, Markus
> > > -- > Fabian Groffen > Gentoo on a different level > -- > gentoo-alt@l.g.o mailing list
-- gentoo-alt@l.g.o mailing list


Subject Author
Re: [gentoo-alt] gimps gettext dependency Fabian Groffen <grobian@g.o>